Skip to main content
POST
/
agents
/
{agent_id}
/
deployments
/
{deployment_id}
/
promote
Promote Deployment
curl --request POST \
  --url https://api.example.com/agents/{agent_id}/deployments/{deployment_id}/promote
{
  "id": "<string>",
  "agent_id": "<string>",
  "docker_image": "<string>",
  "status": "Pending",
  "is_production": true,
  "registration_metadata": {},
  "acp_url": "<string>",
  "sgp_deploy_id": "<string>",
  "helm_release_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "promoted_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z"
}

Path Parameters

deployment_id
string
required
agent_id
string
required

Response

Successful Response

id
string
required

The unique identifier of the deployment.

agent_id
string
required

The agent this deployment belongs to.

docker_image
string
required

Full Docker image URI.

status
enum<string>
required

Current deployment status.

Available options:
Pending,
Ready,
Failed
is_production
boolean
required

Whether this is the production deployment.

registration_metadata
Registration Metadata · object

Git/build metadata from the agent pod.

acp_url
string | null

ACP URL set when agent registers.

sgp_deploy_id
string | null

Correlates to SGP's agentex_deploys.id.

helm_release_name
string | null

Helm release name for cleanup.

created_at
string<date-time> | null

When the deployment was created.

promoted_at
string<date-time> | null

When promoted to production.

expires_at
string<date-time> | null

When marked for cleanup.